IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/16
Addresses2^112
/64 networks2^48
- Network
ff45::/16- First address
ff45::- Last address
ff45:ffff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
- /64 networks (LANs)
- 281,474,976,710,656 (2^48)
- Full form
ff45:0000:0000:0000:0000:0000:0000:0000- Type
- Multicast ff00::/8
One-to-many traffic; replaces broadcast - Reverse DNS zone
5.4.f.f.ip6.arpa
Split into smaller subnets
ff45::/16 makes 256 subnets of /24.
| # | Subnet | Last address |
|---|---|---|
| 1 | ff45::/24 | ff45:ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | ff45:100::/24 | ff45:1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | ff45:200::/24 | ff45:2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | ff45:300::/24 | ff45:3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | ff45:400::/24 | ff45:4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | ff45:500::/24 | ff45:5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | ff45:600::/24 | ff45:6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | ff45:700::/24 | ff45:7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | ff45:800::/24 | ff45:8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | ff45:900::/24 | ff45:9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | ff45:a00::/24 | ff45:aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | ff45:b00::/24 | ff45:bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | ff45:c00::/24 | ff45:cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | ff45:d00::/24 | ff45:dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | ff45:e00::/24 | ff45:eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | ff45:f00::/24 | ff45:fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | ff45:1000::/24 | ff45:10ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | ff45:1100::/24 | ff45:11ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | ff45:1200::/24 | ff45:12ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | ff45:1300::/24 | ff45:13ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | ff45:1400::/24 | ff45:14ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | ff45:1500::/24 | ff45:15ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | ff45:1600::/24 | ff45:16ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | ff45:1700::/24 | ff45:17ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | ff45:1800::/24 | ff45:18ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | ff45:1900::/24 | ff45:19ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | ff45:1a00::/24 | ff45:1aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | ff45:1b00::/24 | ff45:1bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | ff45:1c00::/24 | ff45:1cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | ff45:1d00::/24 | ff45:1dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | ff45:1e00::/24 | ff45:1eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | ff45:1f00::/24 | ff45:1fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | ff45:2000::/24 | ff45:20ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | ff45:2100::/24 | ff45:21ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | ff45:2200::/24 | ff45:22ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | ff45:2300::/24 | ff45:23ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | ff45:2400::/24 | ff45:24ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | ff45:2500::/24 | ff45:25ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | ff45:2600::/24 | ff45:26ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | ff45:2700::/24 | ff45:27ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | ff45:2800::/24 | ff45:28ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | ff45:2900::/24 | ff45:29ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | ff45:2a00::/24 | ff45:2aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | ff45:2b00::/24 | ff45:2bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | ff45:2c00::/24 | ff45:2cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | ff45:2d00::/24 | ff45:2dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | ff45:2e00::/24 | ff45:2eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | ff45:2f00::/24 | ff45:2fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | ff45:3000::/24 | ff45:30ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | ff45:3100::/24 | ff45:31ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | ff45:3200::/24 | ff45:32ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | ff45:3300::/24 | ff45:33ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | ff45:3400::/24 | ff45:34ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | ff45:3500::/24 | ff45:35ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | ff45:3600::/24 | ff45:36ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | ff45:3700::/24 | ff45:37ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | ff45:3800::/24 | ff45:38ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | ff45:3900::/24 | ff45:39ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | ff45:3a00::/24 | ff45:3aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | ff45:3b00::/24 | ff45:3bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | ff45:3c00::/24 | ff45:3cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | ff45:3d00::/24 | ff45:3dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | ff45:3e00::/24 | ff45:3eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | ff45:3f00::/24 | ff45:3fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | ff45:4000::/24 | ff45:40ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | ff45:4100::/24 | ff45:41ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | ff45:4200::/24 | ff45:42ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | ff45:4300::/24 | ff45:43ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | ff45:4400::/24 | ff45:44ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | ff45:4500::/24 | ff45:45ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | ff45:4600::/24 | ff45:46ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | ff45:4700::/24 | ff45:47ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | ff45:4800::/24 | ff45:48ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | ff45:4900::/24 | ff45:49ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | ff45:4a00::/24 | ff45:4aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | ff45:4b00::/24 | ff45:4bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | ff45:4c00::/24 | ff45:4cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | ff45:4d00::/24 | ff45:4dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | ff45:4e00::/24 | ff45:4eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | ff45:4f00::/24 | ff45:4fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | ff45:5000::/24 | ff45:50ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | ff45:5100::/24 | ff45:51ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | ff45:5200::/24 | ff45:52ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | ff45:5300::/24 | ff45:53ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | ff45:5400::/24 | ff45:54ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | ff45:5500::/24 | ff45:55ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | ff45:5600::/24 | ff45:56ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | ff45:5700::/24 | ff45:57ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | ff45:5800::/24 | ff45:58ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | ff45:5900::/24 | ff45:59ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | ff45:5a00::/24 | ff45:5aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | ff45:5b00::/24 | ff45:5bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | ff45:5c00::/24 | ff45:5cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | ff45:5d00::/24 | ff45:5dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | ff45:5e00::/24 | ff45:5eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | ff45:5f00::/24 | ff45:5fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | ff45:6000::/24 | ff45:60ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | ff45:6100::/24 | ff45:61ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | ff45:6200::/24 | ff45:62ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | ff45:6300::/24 | ff45:63ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | ff45:6400::/24 | ff45:64ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | ff45:6500::/24 | ff45:65ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | ff45:6600::/24 | ff45:66ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | ff45:6700::/24 | ff45:67ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | ff45:6800::/24 | ff45:68ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | ff45:6900::/24 | ff45:69ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | ff45:6a00::/24 | ff45:6aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | ff45:6b00::/24 | ff45:6bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | ff45:6c00::/24 | ff45:6cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | ff45:6d00::/24 | ff45:6dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | ff45:6e00::/24 | ff45:6eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | ff45:6f00::/24 | ff45:6fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | ff45:7000::/24 | ff45:70ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | ff45:7100::/24 | ff45:71ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | ff45:7200::/24 | ff45:72ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | ff45:7300::/24 | ff45:73ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | ff45:7400::/24 | ff45:74ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | ff45:7500::/24 | ff45:75ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | ff45:7600::/24 | ff45:76ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | ff45:7700::/24 | ff45:77ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | ff45:7800::/24 | ff45:78ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | ff45:7900::/24 | ff45:79ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | ff45:7a00::/24 | ff45:7aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | ff45:7b00::/24 | ff45:7bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | ff45:7c00::/24 | ff45:7cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | ff45:7d00::/24 | ff45:7dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | ff45:7e00::/24 | ff45:7eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | ff45:7f00::/24 | ff45:7fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | ff45:8000::/24 | ff45:80ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | ff45:8100::/24 | ff45:81ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | ff45:8200::/24 | ff45:82ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | ff45:8300::/24 | ff45:83ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | ff45:8400::/24 | ff45:84ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | ff45:8500::/24 | ff45:85ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | ff45:8600::/24 | ff45:86ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | ff45:8700::/24 | ff45:87ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | ff45:8800::/24 | ff45:88ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | ff45:8900::/24 | ff45:89ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | ff45:8a00::/24 | ff45:8aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | ff45:8b00::/24 | ff45:8bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | ff45:8c00::/24 | ff45:8cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | ff45:8d00::/24 | ff45:8dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | ff45:8e00::/24 | ff45:8eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | ff45:8f00::/24 | ff45:8fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | ff45:9000::/24 | ff45:90ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | ff45:9100::/24 | ff45:91ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | ff45:9200::/24 | ff45:92ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | ff45:9300::/24 | ff45:93ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | ff45:9400::/24 | ff45:94ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | ff45:9500::/24 | ff45:95ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | ff45:9600::/24 | ff45:96ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | ff45:9700::/24 | ff45:97ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | ff45:9800::/24 | ff45:98ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | ff45:9900::/24 | ff45:99ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | ff45:9a00::/24 | ff45:9aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | ff45:9b00::/24 | ff45:9bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | ff45:9c00::/24 | ff45:9cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | ff45:9d00::/24 | ff45:9dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | ff45:9e00::/24 | ff45:9eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | ff45:9f00::/24 | ff45:9fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | ff45:a000::/24 | ff45:a0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | ff45:a100::/24 | ff45:a1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | ff45:a200::/24 | ff45:a2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | ff45:a300::/24 | ff45:a3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | ff45:a400::/24 | ff45:a4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | ff45:a500::/24 | ff45:a5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | ff45:a600::/24 | ff45:a6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | ff45:a700::/24 | ff45:a7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | ff45:a800::/24 | ff45:a8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | ff45:a900::/24 | ff45:a9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | ff45:aa00::/24 | ff45:aaff:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | ff45:ab00::/24 | ff45:abff:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | ff45:ac00::/24 | ff45:acff:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | ff45:ad00::/24 | ff45:adff:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | ff45:ae00::/24 | ff45:aeff:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | ff45:af00::/24 | ff45:afff:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | ff45:b000::/24 | ff45:b0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | ff45:b100::/24 | ff45:b1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | ff45:b200::/24 | ff45:b2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | ff45:b300::/24 | ff45:b3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | ff45:b400::/24 | ff45:b4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | ff45:b500::/24 | ff45:b5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | ff45:b600::/24 | ff45:b6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | ff45:b700::/24 | ff45:b7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | ff45:b800::/24 | ff45:b8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | ff45:b900::/24 | ff45:b9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | ff45:ba00::/24 | ff45:baff:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | ff45:bb00::/24 | ff45:bbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | ff45:bc00::/24 | ff45:bcff:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | ff45:bd00::/24 | ff45:bdff:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | ff45:be00::/24 | ff45:beff:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | ff45:bf00::/24 | ff45:bfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | ff45:c000::/24 | ff45:c0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | ff45:c100::/24 | ff45:c1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | ff45:c200::/24 | ff45:c2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | ff45:c300::/24 | ff45:c3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | ff45:c400::/24 | ff45:c4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | ff45:c500::/24 | ff45:c5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | ff45:c600::/24 | ff45:c6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | ff45:c700::/24 | ff45:c7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | ff45:c800::/24 | ff45:c8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | ff45:c900::/24 | ff45:c9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | ff45:ca00::/24 | ff45:caff:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | ff45:cb00::/24 | ff45:cbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | ff45:cc00::/24 | ff45:ccff:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | ff45:cd00::/24 | ff45:cdff:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | ff45:ce00::/24 | ff45:ceff:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | ff45:cf00::/24 | ff45:cfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | ff45:d000::/24 | ff45:d0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | ff45:d100::/24 | ff45:d1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | ff45:d200::/24 | ff45:d2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | ff45:d300::/24 | ff45:d3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | ff45:d400::/24 | ff45:d4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | ff45:d500::/24 | ff45:d5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | ff45:d600::/24 | ff45:d6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | ff45:d700::/24 | ff45:d7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | ff45:d800::/24 | ff45:d8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | ff45:d900::/24 | ff45:d9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | ff45:da00::/24 | ff45:daff:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | ff45:db00::/24 | ff45:dbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | ff45:dc00::/24 | ff45:dcff:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | ff45:dd00::/24 | ff45:ddff:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | ff45:de00::/24 | ff45:deff:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | ff45:df00::/24 | ff45:dfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | ff45:e000::/24 | ff45:e0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | ff45:e100::/24 | ff45:e1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | ff45:e200::/24 | ff45:e2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | ff45:e300::/24 | ff45:e3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | ff45:e400::/24 | ff45:e4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | ff45:e500::/24 | ff45:e5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | ff45:e600::/24 | ff45:e6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | ff45:e700::/24 | ff45:e7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | ff45:e800::/24 | ff45:e8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | ff45:e900::/24 | ff45:e9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | ff45:ea00::/24 | ff45:eaff:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | ff45:eb00::/24 | ff45:ebff:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | ff45:ec00::/24 | ff45:ecff:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | ff45:ed00::/24 | ff45:edff:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | ff45:ee00::/24 | ff45:eeff:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | ff45:ef00::/24 | ff45:efff:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | ff45:f000::/24 | ff45:f0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | ff45:f100::/24 | ff45:f1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | ff45:f200::/24 | ff45:f2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | ff45:f300::/24 | ff45:f3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | ff45:f400::/24 | ff45:f4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | ff45:f500::/24 | ff45:f5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | ff45:f600::/24 | ff45:f6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | ff45:f700::/24 | ff45:f7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | ff45:f800::/24 | ff45:f8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | ff45:f900::/24 | ff45:f9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | ff45:fa00::/24 | ff45:faff:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | ff45:fb00::/24 | ff45:fbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | ff45:fc00::/24 | ff45:fcff:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | ff45:fd00::/24 | ff45:fdff:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | ff45:fe00::/24 | ff45:feff:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | ff45:ff00::/24 | ff45:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |